Minutes Search
curl --request POST \
--url https://api.reportify.cn/v2/search/minutes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"num": 10,
"symbols": [
"<string>"
],
"start_datetime": "<string>",
"end_datetime": "<string>"
}
'import requests
url = "https://api.reportify.cn/v2/search/minutes"
payload = {
"query": "<string>",
"num": 10,
"symbols": ["<string>"],
"start_datetime": "<string>",
"end_datetime": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
num: 10,
symbols: ['<string>'],
start_datetime: '<string>',
end_datetime: '<string>'
})
};
fetch('https://api.reportify.cn/v2/search/minutes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"docs": [
{
"doc_id": "<string>",
"title": "<string>",
"url": "<string>",
"summary": "<string>",
"category": "<string>",
"published_at": 123,
"companies": [
{
"name": "<string>",
"logo": "<string>",
"stocks": [
{
"symbol": "<string>",
"market": "<string>",
"code": "<string>"
}
]
}
],
"metadata": {},
"score": 123
}
],
"chunks": [],
"total_count": 0,
"took_ms": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}v2
Minutes Search
Various conference call materials search, covering industry conferences, and investor relations meetings
POST
/
v2
/
search
/
minutes
Minutes Search
会议纪要搜索
URL:/v2/search/minutes方法:
POST描述: 搜索电话会议和投资者关系(IR)会议。
请求参数
| 参数名 | 类型 | 必填 | 描述 |
|---|---|---|---|
| query | str | 是 | 搜索关键词。 |
| symbols | array[str] | 否 | 股票代码列表,格式为 market:ticker(如 US:AAPL、HK:00700、SH:600519、SZ:000001)。 |
| num | int | 否 | 返回的结果数量,默认值为 10,最大值为 100。 |
| start_datetime | str | 否 | 开始时间,格式为 YYYY-MM-DD 或 YYYY-MM-DD HH:MM:SS。 |
| end_datetime | str | 否 | 结束时间,格式为 YYYY-MM-DD 或 YYYY-MM-DD HH:MM:SS。 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| docs | array | 搜索结果文档数组,每个文档包含以下字段: |
| doc_id | str | 文档唯一 ID。 |
| title | str | 文档标题。 |
| summary | str | 文档摘要。 |
| category | str | 文档类别。 |
| published_at | int | 发布时间(毫秒级时间戳)。 |
| companies | array | 相关公司列表。 |
| metadata | object | 文档元数据。 |
| score | number | 相关性评分。 |
| url | str | 文档链接。 |
| chunks | array | 内容分片数组,用于原文引用;news、webpages 搜索不返回该字段。每个分片包含以下字段: |
| id | str | 分片唯一 ID。 |
| type | str | 分片类型。 |
| content | str | 分片正文内容。 |
| summary | str | 分片摘要,可能为 null。 |
| score | number | 分片相关性评分。 |
| metadata | object | 分片元数据。 |
| doc | object | 分片所属文档:包含 doc_id、title、url、published_at 等。 |
| total_count | int | 匹配文档总数。 |
| took_ms | int | 搜索执行时间(毫秒)。 |
请求示例
cURLcurl -X POST https://api.reportify.cn/v2/search/minutes \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
"query": "业绩展望",
"symbols": ["SH:600519"],
"num": 10,
"start_datetime": "2024-01-01",
"end_datetime": "2024-12-31"
}'
import requests
url = "https://api.reportify.cn/v2/search/minutes"
headers = {
"Authorization": "Bearer 447460****09c9",
"Content-Type": "application/json"
}
payload = {
"query": "业绩展望",
"symbols": ["SH:600519"],
"num": 10,
"start_datetime": "2024-01-01",
"end_datetime": "2024-12-31"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
响应示例
{
"docs": [
{
"doc_id": "1046915273103380482",
"title": "贵州茅台 2024年Q3 业绩说明会纪要",
"summary": "### 会议要点\n- 管理层介绍了本季度业绩情况\n- 讨论了未来市场拓展计划\n...",
"category": "transcripts",
"published_at": 1730390400000,
"companies": [
{
"name": "贵州茅台",
"stocks": [
{
"code": "600519",
"market": "SH",
"symbol": "SH:600519"
}
]
}
],
"metadata": {
"report_type": 4,
"report_status": 2,
"report_scope": 1,
"report_language": "zh"
},
"score": 0.9723,
"url": "https://reportify.cn/transcripts/1046915273103380482"
}
],
"chunks": [
{
"id": "624813519365412",
"type": "text",
"content": "……匹配到的原文分片内容……",
"summary": null,
"score": 0.87,
"metadata": {},
"doc": {
"doc_id": "1046915273103380483",
"title": "示例文档标题",
"url": "https://reportify.cn/reports/1046915273103380483",
"published_at": 1730390400000
}
}
],
"total_count": 1,
"took_ms": 85
}
错误响应
| HTTP 状态码 | 描述 |
|---|---|
| 422 | 请求参数验证错误 |
Authorizations
Enter your Bearer token
Body
application/json
Request model for conference calls and IR meetings search
Search query
Number of results to return
Required range:
1 <= x <= 100Stock symbols in market:ticker format (e.g., US:AAPL, HK:00700, SH:600519, SZ:000001)
Start datetime in YYYY-MM-DD or YYYY-MM-DD HH:MM:SS format
End datetime in YYYY-MM-DD or YYYY-MM-DD HH:MM:SS format
Response
Successful Response
Response model for all search tools
Search result documents
Show child attributes
Show child attributes
Search result content chunks (parity with the internal search tools). Empty for news and webpages searches.
Total number of matching documents
Search execution time in milliseconds
